Outputs (TauP 2.6.1 API)
Description: declaration: package: edu.sc.seis.TauP, class: Outputs

Package edu.sc.seis.TauP

# Class Outputs

java.lang.Object
edu.sc.seis.TauP.Outputs

    public class Outputs
    extends java.lang.Object

Outputs.java contains formating, similar to printf, routines for the output types in the TauP package. Created: Tue Sep 21 11:45:35 1999

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected static Format` | `depthFormat` |
  `protected static Format` | `distanceFormat` |
  `protected static Format` | `distanceFormatNoPad` |
  `protected static Format` | `latLonFormat` |
  `protected static Format` | `rayParamFormat` |
  `protected static Format` | `timeFormat` |
  `protected static Format` | `timeFormatNoPad` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Outputs()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static void` | `configure​(java.util.Properties props)` |
  `static java.lang.String` | `formatDepth​(double depth)` |
  `static java.lang.String` | `formatDistance​(double distance)` |
  `static java.lang.String` | `formatDistanceNoPad​(double distance)` |
  `static java.lang.String` | `formatLatLon​(double latlon)` |
  `static java.lang.String` | `formatRayParam​(double rayParam)` |
  `static java.lang.String` | `formatTime​(double time)` |
  `static java.lang.String` | `formatTimeNoPad​(double time)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### depthFormat

    protected static Format depthFormat

  - ### distanceFormat

    protected static Format distanceFormat

  - ### timeFormat

    protected static Format timeFormat

  - ### distanceFormatNoPad

    protected static Format distanceFormatNoPad

  - ### timeFormatNoPad

    protected static Format timeFormatNoPad

  - ### rayParamFormat

    protected static Format rayParamFormat

  - ### latLonFormat

    protected static Format latLonFormat

- ## Constructor Details

  - ### Outputs

    public Outputs()

- ## Method Details

  - ### configure

    public static void configure​(java.util.Properties props)

  - ### formatDepth

    public static java.lang.String formatDepth​(double depth)

  - ### formatDistance

    public static java.lang.String formatDistance​(double distance)

  - ### formatTime

    public static java.lang.String formatTime​(double time)

  - ### formatDistanceNoPad

    public static java.lang.String formatDistanceNoPad​(double distance)

  - ### formatTimeNoPad

    public static java.lang.String formatTimeNoPad​(double time)

  - ### formatRayParam

    public static java.lang.String formatRayParam​(double rayParam)

  - ### formatLatLon

    public static java.lang.String formatLatLon​(double latlon)